%define revision rev4335

Name:		jpsxdec
Version:	2.0
Release:	%mkrel 1
License:	Freeware / Non-commercial
Packager:   	Agent Smith  <ruidobranco@yahoo.com.br>
Group:		Emulators
URL:		https://github.com/m35/jpsxdec
Source0:	%{name}-%{version}-%{revision}.tar.xz
Source1:	%{name}.png
Summary:	 jpsxdec is a media decoder for Playstation 1 media (audio/video)
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
Requires:	java
Obsoletes:	%name < %version
AutoReqProv:    no

%description
jPSXdec is a cross-platform PlayStation 1 audio and video converter
that produces higher quality output than all other legacy converters of the past.  

%prep

%setup -q -n %{name}-%{version}-%{revision}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_datadir}/%{name}

cp -arv $RPM_BUILD_DIR/%{name}-%{version}-%{revision}/* %{buildroot}%{_datadir}/%{name}/

# launcher
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %{_datadir}/%{name}/
java -jar %{name}.jar 
cd /
EOF

chmod a+x %{buildroot}%{_bindir}/%{name}

install -d -m 0755 %buildroot%_datadir/pixmaps
install -m 0644 %SOURCE1 %buildroot%_datadir/pixmaps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Exec=%{name}
Icon=%{name}.png
Type=Application
Terminal=false
Name=jPSXdec
GenericName=PSX media decoder
Comment=%{summary}
StartupNotify=false
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;
EOF

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}-%{revision}

%files
%{_bindir}/*
%attr(777,-,-) %dir %{_datadir}/%{name}/
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog

* Wed Oct 25 2023  Agent Smith <ruidobranco@yahoo.com.br> jpsxdec-2.0-1pclos2023.rpm
- Updated the package jpsxdec, with latest source.

* Fri Mar 03 2023  Agent Smith <ruidobranco@yahoo.com.br> jpsxdec-1.06-1pclos2023.rpm
- Updated the package jpsxdec, with latest source.

* Mon Sep 27 2021  Agent Smith <ruidobranco@yahoo.com.br> jpsxdec-1.00-1pclos2021.rpm
- Updated the package jpsxdec, with latest source.

* Wed Aug 14 2019  Agent Smith <ruidobranco@yahoo.com.br> jpsxdec-0.99.9-1pclos2019.rpm
- Updated the package jpsxdec-0.99.9-1pclos2017.noarch.rpm, with latest source.

* Tue May 09 2017  Agent Smith <ruidobranco@yahoo.com.br> jpsxdec-0.99.7-1pclos2017.rpm
- Updated the package jpsxdec-0.99.7-1pclos2017.noarch.rpm, with latest source.

* Mon Nov 10 2014  Agent Smith <ruidobranco@yahoo.com.br> jpsxdec-0.99.4-1pclos2014.rpm
- Created the package jpsxdec-0.99.4-1pclos2014.noarch.rpm, with latest source.
